open(vid)

theta_1 = 2 * Du * tau / delta;
minAx = 0;
maxAx = K;
griglia = L / delta;

vu = sqrt(Du * p / 2);

for i = 1:10:T_pde+1
    clf

    % Cellule non infette + confronto
    plot((0:griglia)*delta, U_plot(:, i)/delta, 'LineWidth', 1)
    hold on
    plot(x, u1(i, :), '--')
    hold on
    xline(L/2 + Ru + (i - 1) * vu, '--')
    xline(L/2 - Ru - (i - 1) * vu, '--')
    axis([0 griglia * delta minAx maxAx])
    title('Cellule non infette â t = ' + string(i - 1) + ' h')
    legend('Agenti', 'PDE', 'Fronte dx', 'Fronte sx')

    frame = getframe(h);
    writeVideo(vid, frame);
end

close(vid)

% Cosa è stato rimosso:
%(1)tracce di I_plot, u2 (infette)
%(2)linee teoriche legate all'infezione (q/beta, p/beta, ecc.)